Bug 219119 - Review Request: pyscript - Postscript graphics with Python
Review Request: pyscript - Postscript graphics with Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
: 191218 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-11 00:49 EST by Jef Spaleta
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-12 23:20:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2006-12-11 00:49:29 EST
Spec URL: ftp://jspaleta%40thecodergeek.com@ftp.thecodergeek.com/Fedora%20SRPMS/pyscript/pyscript.spec

SRPM URL: 
ftp://jspaleta%40thecodergeek.com@ftp.thecodergeek.com/Fedora%20SRPMS/pyscript/pyscript-0.6-5.fc6.src.rpm

Description:
PyScript is a Python module for producing high quality postscript graphics.
Rather than use a GUI to draw a picture, the picture is programmed using
Python and the PyScript objects.


Note:
I am re-submitting this with the support of the project author.  I plan to have the project author as a co-maintainer, and will act as a gateway for cvs commits for him until such time as he gains fedora cvs access through sponsorship.
Comment 1 Jef Spaleta 2006-12-11 00:52:45 EST
*** Bug 191218 has been marked as a duplicate of this bug. ***
Comment 2 Peter Gordon 2006-12-11 01:03:53 EST
Eh, sorry Jef. The hosting is HTTP-only for anonymous/public access.

Spec: http://jspaleta.thecodergeek.com/Fedora%20SRPMS/pyscript/pyscript.spec
SRPM:
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/pyscript/pyscript-0.6-5.fc6.src.rpm

Thanks for your understanding; and apologies for the slight inconvenience.
Comment 3 Jef Spaleta 2006-12-11 01:14:44 EST
opps, I just cut and pasted the url through nautilus this time. I didn't think
about the ftp/http issue oh well. For everyone playing along, the urls in
Comment #2 are correct for public access.

-jef
Comment 4 Michał Bentkowski 2006-12-11 12:22:08 EST
I'll do the review soon...
Comment 5 Michał Bentkowski 2006-12-11 13:15:43 EST
MUST items:
!* rpmlint output:
W: pyscript macro-in-%changelog python_sitelib
W: pyscript macro-in-%changelog ghost
W: pyscript macro-in-%changelog __python
W: pyscript macro-in-%changelog _libdir
E: pyscript no-binary
E: pyscript-debuginfo empty-debuginfo-package
 * package is named well
 * spec file name is good
 * package meets Packaging Guidelines
 * package is licensed with a GPL open-source compatible license
 * License field in spec file matches actual license
 * license file is included in %doc
 * md5sums are matching (8b4945fda4318abdcd77f1573996b9da)
 * package successfully compiles on x86_64
 * BuildRequires listed well
 * no locales
 * no need to %post and %postun sections
 * not relocatable
 * package owns directories well
 * no duplicates in %files
 * %files section includes %defattr
 * proper %clean section
 * macros used well

THINGS to do:
 * get rid of all macro-in-%changelog rpmlint warnings by doubling all
% characters in %changelog. For example: instead of %{_libdir} write %%{_libdir}
 * fix no-binary and debuginfo package problems by adding BuildArch: noarch
to preamble
 * from my experience I know that using python-devel BR instead of python
is better solution 
 * do we really need tetex package? I have grepped all the sources and I found
that pyscript needs only latex application which is part of tetex-latex package.
Thus I believe that it is a dependency we really need. Correct me if I am wrong.
Comment 6 Jef Spaleta 2006-12-12 04:01:18 EST
Okay I think the new srpm and spec cover everything in the TODO. rpmlint retunrs
clean for me now.

I read over the py files and it is calling latex and dvips which are both in the
tetex-latex package, not tetex.

http://jspaleta.thecodergeek.com/Fedora%20SRPMS/pyscript/pyscript.spec
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/pyscript/pyscript-0.6-6.fc7.src.rpm
http://jspaleta.thecodergeek.com/Fedora%20SRPMS/pyscript/pyscript-0.6-6.fc7.noarch.rpm
Comment 7 Michał Bentkowski 2006-12-12 12:28:38 EST
rpmlint is silent now, so nothing stands in the way to make this package
accepted.

APPROVED.

Don't forget to close this ticket after rebuilding package in devel.

Note You need to log in before you can comment on or make changes to this bug.